$(function(){
$(".scheduler").dxScheduler({
timeZone: "America/Los_Angeles",
dataSource: data,
views: [
{ name: "3 Days", type: "day", intervalCount: 3, startDate: new Date(2021, 3, 4) },
{ name: "2 Work Weeks", type: "workWeek", intervalCount: 2, startDate: new Date(2021, 2, 4) },
{ name: "2 Months", type: "month", intervalCount: 2 }
],
currentView: "day",
currentDate: new Date(2021, 3, 5),
startDayHour: 8,
endDayHour: 20,
height: 580
});
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.light.css" />
<script src="https://cdn3.devexpress.com/jslib/20.2.5/js/dx.all.js"></script>
<script src="data.js"></script>
<script src="index.js"></script>
<link rel="stylesheet" type="text/css" href="styles.css" />
</head>
<body class="dx-viewport">
<div class="demo-container">
<div class="scheduler"></div>
</div>
</body>
</html>
var data = [{
text: "Google AdWords Strategy",
startDate: new Date("2021-04-05T16:00:00.000Z"),
endDate: new Date("2021-04-05T17:30:00.000Z")
}, {
text: "New Brochures",
startDate: new Date("2021-04-05T18:30:00.000Z"),
endDate: new Date("2021-04-05T21:15:00.000Z")
}, {
text: "Brochure Design Review",
startDate: new Date("2021-05-04T17:15:00.000Z"),
endDate: new Date("2021-05-04T19:15:00.000Z")
}, {
text: "Website Re-Design Plan",
startDate: new Date("2021-04-05T23:45:00.000Z"),
endDate: new Date("2021-04-07T00:15:00.000Z")
}, {
text: "Rollout of New Website and Marketing Brochures",
startDate: new Date("2021-04-06T15:15:00.000Z"),
endDate: new Date("2021-04-06T17:45:00.000Z")
}, {
text: "Update Sales Strategy Documents",
startDate: new Date("2021-05-05T16:00:00.000Z"),
endDate: new Date("2021-05-05T17:45:00.000Z")
}, {
text: "Non-Compete Agreements",
startDate: new Date("2021-04-07T15:15:00.000Z"),
endDate: new Date("2021-04-07T16:00:00.000Z")
}, {
text: "Approve Hiring of John Jeffers",
startDate: new Date("2021-04-07T17:00:00.000Z"),
endDate: new Date("2021-04-07T18:15:00.000Z")
}, {
text: "Update NDA Agreement",
startDate: new Date("2021-05-05T16:45:00.000Z"),
endDate: new Date("2021-05-05T18:45:00.000Z")
}, {
text: "Update Employee Files with New NDA",
startDate: new Date("2021-05-05T19:00:00.000Z"),
endDate: new Date("2021-05-05T21:45:00.000Z")
}, {
text: "Submit Questions Regarding New NDA",
startDate: new Date("2021-04-09T01:00:00.000Z"),
endDate: new Date("2021-04-08T16:30:00.000Z")
}, {
text: "Submit Signed NDA",
startDate: new Date("2021-05-09T16:45:00.000Z"),
endDate: new Date("2021-05-09T18:00:00.000Z")
}, {
text: "Review Revenue Projections",
startDate: new Date("2021-04-09T00:15:00.000Z"),
endDate: new Date("2021-04-08T15:00:00.000Z")
}, {
text: "Comment on Revenue Projections",
startDate: new Date("2021-04-09T16:15:00.000Z"),
endDate: new Date("2021-04-09T18:15:00.000Z")
}, {
text: "Provide New Health Insurance Docs",
startDate: new Date("2021-05-10T16:15:00.000Z"),
endDate: new Date("2021-05-10T17:45:00.000Z")
}, {
text: "Review Changes to Health Insurance Coverage",
startDate: new Date("2021-05-10T17:50:00.000Z"),
endDate: new Date("2021-05-10T19:30:00.000Z")
}, {
text: "Review Training Course for any Ommissions",
startDate: new Date("2021-04-12T21:00:00.000Z"),
endDate: new Date("2021-04-13T21:00:00.000Z")
}, {
text: "Recall Rebate Form",
startDate: new Date("2021-05-11T17:00:00.000Z"),
endDate: new Date("2021-05-11T18:15:00.000Z")
}, {
text: "Create Report on Customer Feedback",
startDate: new Date("2021-04-13T22:15:00.000Z"),
endDate: new Date("2021-04-14T00:30:00.000Z")
}, {
text: "Review Customer Feedback Report",
startDate: new Date("2021-04-13T23:15:00.000Z"),
endDate: new Date("2021-04-14T01:30:00.000Z")
}, {
text: "Customer Feedback Report Analysis",
startDate: new Date("2021-04-14T16:30:00.000Z"),
endDate: new Date("2021-04-14T17:30:00.000Z")
}, {
text: "Prepare Shipping Cost Analysis Report",
startDate: new Date("2021-05-12T18:30:00.000Z"),
endDate: new Date("2021-05-12T19:30:00.000Z")
}, {
text: "Provide Feedback on Shippers",
startDate: new Date("2021-05-13T17:15:00.000Z"),
endDate: new Date("2021-05-13T19:00:00.000Z")
}, {
text: "Select Preferred Shipper",
startDate: new Date("2021-05-13T19:30:00.000Z"),
endDate: new Date("2021-05-13T21:00:00.000Z")
}, {
text: "Complete Shipper Selection Form",
startDate: new Date("2021-05-16T15:30:00.000Z"),
endDate: new Date("2021-05-16T17:00:00.000Z")
}, {
text: "Upgrade Server Hardware",
startDate: new Date("2021-04-15T19:00:00.000Z"),
endDate: new Date("2021-04-15T21:15:00.000Z")
}, {
text: "Upgrade Personal Computers",
startDate: new Date("2021-04-15T21:45:00.000Z"),
endDate: new Date("2021-04-15T23:30:00.000Z")
}, {
text: "Upgrade Apps to Windows RT or stay with WinForms",
startDate: new Date("2021-04-16T17:30:00.000Z"),
endDate: new Date("2021-04-16T20:00:00.000Z")
}, {
text: "Estimate Time Required to Touch-Enable Apps",
startDate: new Date("2021-05-17T16:45:00.000Z"),
endDate: new Date("2021-05-17T18:00:00.000Z")
}, {
text: "Report on Tranistion to Touch-Based Apps",
startDate: new Date("2021-05-18T18:30:00.000Z"),
endDate: new Date("2021-05-18T19:30:00.000Z")
}, {
text: "Submit New Website Design",
startDate: new Date("2021-04-19T15:00:00.000Z"),
endDate: new Date("2021-04-19T17:00:00.000Z")
}, {
text: "Create Icons for Website",
startDate: new Date("2021-05-19T18:30:00.000Z"),
endDate: new Date("2021-05-19T20:15:00.000Z")
}, {
text: "Create New Product Pages",
startDate: new Date("2021-04-20T16:45:00.000Z"),
endDate: new Date("2021-04-20T18:45:00.000Z")
}, {
text: "Approve Website Launch",
startDate: new Date("2021-05-20T19:00:00.000Z"),
endDate: new Date("2021-05-20T22:15:00.000Z")
}, {
text: "Update Customer Shipping Profiles",
startDate: new Date("2021-04-21T16:30:00.000Z"),
endDate: new Date("2021-04-21T18:00:00.000Z")
}, {
text: "Create New Shipping Return Labels",
startDate: new Date("2021-04-21T19:45:00.000Z"),
endDate: new Date("2021-04-21T21:00:00.000Z")
}, {
text: "Get Design for Shipping Return Labels",
startDate: new Date("2021-04-21T22:00:00.000Z"),
endDate: new Date("2021-04-21T23:30:00.000Z")
}, {
text: "PSD needed for Shipping Return Labels",
startDate: new Date("2021-04-22T15:30:00.000Z"),
endDate: new Date("2021-04-22T16:15:00.000Z")
}, {
text: "Contact ISP and Discuss Payment Options",
startDate: new Date("2021-05-23T18:30:00.000Z"),
endDate: new Date("2021-05-23T23:00:00.000Z")
}, {
text: "Prepare Year-End Support Summary Report",
startDate: new Date("2021-05-23T17:00:00.000Z"),
endDate: new Date("2021-05-23T19:00:00.000Z")
}, {
text: "Review New Training Material",
startDate: new Date("2021-04-26T15:00:00.000Z"),
endDate: new Date("2021-04-26T16:15:00.000Z")
}, {
text: "Distribute Training Material to Support Staff",
startDate: new Date("2021-04-23T19:45:00.000Z"),
endDate: new Date("2021-04-23T21:00:00.000Z")
}, {
text: "Training Material Distribution Schedule",
startDate: new Date("2021-05-24T21:15:00.000Z"),
endDate: new Date("2021-05-24T23:15:00.000Z")
}, {
text: "Approval on Converting to New HDMI Specification",
startDate: new Date("2021-05-03T16:30:00.000Z"),
endDate: new Date("2021-05-03T17:15:00.000Z")
}, {
text: "Create New Spike for Automation Server",
startDate: new Date("2021-05-25T17:00:00.000Z"),
endDate: new Date("2021-05-25T19:30:00.000Z")
}, {
text: "Code Review - New Automation Server",
startDate: new Date("2021-05-25T20:00:00.000Z"),
endDate: new Date("2021-05-25T22:00:00.000Z")
}, {
text: "Confirm Availability for Sales Meeting",
startDate: new Date("2021-04-27T17:15:00.000Z"),
endDate: new Date("2021-04-27T22:15:00.000Z")
}, {
text: "Reschedule Sales Team Meeting",
startDate: new Date("2021-04-28T23:15:00.000Z"),
endDate: new Date("2021-04-29T01:00:00.000Z")
}, {
text: "Send 2 Remotes for Giveaways",
startDate: new Date("2021-05-26T16:30:00.000Z"),
endDate: new Date("2021-05-26T18:45:00.000Z")
}, {
text: "Discuss Product Giveaways with Management",
startDate: new Date("2021-05-27T19:15:00.000Z"),
endDate: new Date("2021-05-27T23:45:00.000Z")
}, {
text: "Replace Desktops on the 3rd Floor",
startDate: new Date("2021-04-29T16:30:00.000Z"),
endDate: new Date("2021-04-29T17:45:00.000Z")
}, {
text: "Update Database with New Leads",
startDate: new Date("2021-05-30T19:00:00.000Z"),
endDate: new Date("2021-05-30T21:15:00.000Z")
}, {
text: "Mail New Leads for Follow Up",
startDate: new Date("2021-05-31T21:45:00.000Z"),
endDate: new Date("2021-05-31T22:30:00.000Z")
}, {
text: "Send Territory Sales Breakdown",
startDate: new Date("2021-04-30T01:00:00.000Z"),
endDate: new Date("2021-04-30T03:00:00.000Z")
}, {
text: "Territory Sales Breakdown Report",
startDate: new Date("2021-04-30T15:45:00.000Z"),
endDate: new Date("2021-04-30T16:45:00.000Z")
}, {
text: "Report on the State of Engineering Dept",
startDate: new Date("2021-04-30T21:45:00.000Z"),
endDate: new Date("2021-04-30T22:30:00.000Z")
}, {
text: "Staff Productivity Report",
startDate: new Date("2021-05-31T23:15:00.000Z"),
endDate: new Date("2021-06-01T02:30:00.000Z")
}];

DevExtreme v23.1 is now available.

Explore our newest features/capabilities and share your thoughts with us.

Your search did not match any results.
Scheduler

Increased View Duration

Documentation

This demo illustrates displaying several days, weeks, months instead of only one on a view. The view’s intervalCount specifies how many times the default view interval (a day, a week, a month) is repeated on the timetable, and the startDate defines the date from which to start counting this interval.

Backend API
Copy to CodeSandBox
Apply
Reset
<template> <DxScheduler time-zone="America/Los_Angeles" :data-source="dataSource" :current-date="currentDate" :views="views" :height="580" :start-day-hour="8" :first-day-of-week="1" current-view="day" /> </template> <script> import { DxScheduler } from 'devextreme-vue/scheduler'; import { data } from './data.js'; export default { components: { DxScheduler, }, data() { return { views: [ { name: '3 Days', type: 'day', intervalCount: 3, startDate: new Date(2021, 3, 4), }, { name: '2 Work Weeks', type: 'workWeek', intervalCount: 2, startDate: new Date(2021, 2, 4), }, { name: '2 Months', type: 'month', intervalCount: 2 }, ], currentDate: new Date(2021, 3, 5), dataSource: data, }; }, }; </script>
import { createApp } from 'vue'; import App from './App.vue'; createApp(App).mount('#app');
<!DOCTYPE html> <html> <head> <title>DevExtreme Demo</title> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" /> <link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/23.1.5/css/dx.light.css" /> <script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script> <script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script> <script type="text/javascript" src="config.js"></script> <script type="text/javascript"> System.import("./index.js"); </script> </head> <body class="dx-viewport"> <div class="demo-container"> <div id="app"> </div> </div> </body> </html>
export const data = [{ text: 'Google AdWords Strategy', startDate: new Date('2021-04-05T16:00:00.000Z'), endDate: new Date('2021-04-05T17:30:00.000Z'), }, { text: 'New Brochures', startDate: new Date('2021-04-05T18:30:00.000Z'), endDate: new Date('2021-04-05T21:15:00.000Z'), }, { text: 'Brochure Design Review', startDate: new Date('2021-05-04T17:15:00.000Z'), endDate: new Date('2021-05-04T19:15:00.000Z'), }, { text: 'Website Re-Design Plan', startDate: new Date('2021-04-05T23:45:00.000Z'), endDate: new Date('2021-04-07T00:15:00.000Z'), }, { text: 'Rollout of New Website and Marketing Brochures', startDate: new Date('2021-04-06T15:15:00.000Z'), endDate: new Date('2021-04-06T17:45:00.000Z'), }, { text: 'Update Sales Strategy Documents', startDate: new Date('2021-05-05T16:00:00.000Z'), endDate: new Date('2021-05-05T17:45:00.000Z'), }, { text: 'Non-Compete Agreements', startDate: new Date('2021-04-07T15:15:00.000Z'), endDate: new Date('2021-04-07T16:00:00.000Z'), }, { text: 'Approve Hiring of John Jeffers', startDate: new Date('2021-04-07T17:00:00.000Z'), endDate: new Date('2021-04-07T18:15:00.000Z'), }, { text: 'Update NDA Agreement', startDate: new Date('2021-05-05T16:45:00.000Z'), endDate: new Date('2021-05-05T18:45:00.000Z'), }, { text: 'Update Employee Files with New NDA', startDate: new Date('2021-05-05T19:00:00.000Z'), endDate: new Date('2021-05-05T21:45:00.000Z'), }, { text: 'Submit Questions Regarding New NDA', startDate: new Date('2021-04-09T01:00:00.000Z'), endDate: new Date('2021-04-08T16:30:00.000Z'), }, { text: 'Submit Signed NDA', startDate: new Date('2021-05-09T16:45:00.000Z'), endDate: new Date('2021-05-09T18:00:00.000Z'), }, { text: 'Review Revenue Projections', startDate: new Date('2021-04-09T00:15:00.000Z'), endDate: new Date('2021-04-08T15:00:00.000Z'), }, { text: 'Comment on Revenue Projections', startDate: new Date('2021-04-09T16:15:00.000Z'), endDate: new Date('2021-04-09T18:15:00.000Z'), }, { text: 'Provide New Health Insurance Docs', startDate: new Date('2021-05-10T16:15:00.000Z'), endDate: new Date('2021-05-10T17:45:00.000Z'), }, { text: 'Review Changes to Health Insurance Coverage', startDate: new Date('2021-05-10T17:50:00.000Z'), endDate: new Date('2021-05-10T19:30:00.000Z'), }, { text: 'Review Training Course for any Omissions', startDate: new Date('2021-04-12T21:00:00.000Z'), endDate: new Date('2021-04-13T21:00:00.000Z'), }, { text: 'Recall Rebate Form', startDate: new Date('2021-05-11T17:00:00.000Z'), endDate: new Date('2021-05-11T18:15:00.000Z'), }, { text: 'Create Report on Customer Feedback', startDate: new Date('2021-04-13T22:15:00.000Z'), endDate: new Date('2021-04-14T00:30:00.000Z'), }, { text: 'Review Customer Feedback Report', startDate: new Date('2021-04-13T23:15:00.000Z'), endDate: new Date('2021-04-14T01:30:00.000Z'), }, { text: 'Customer Feedback Report Analysis', startDate: new Date('2021-04-14T16:30:00.000Z'), endDate: new Date('2021-04-14T17:30:00.000Z'), }, { text: 'Prepare Shipping Cost Analysis Report', startDate: new Date('2021-05-12T18:30:00.000Z'), endDate: new Date('2021-05-12T19:30:00.000Z'), }, { text: 'Provide Feedback on Shippers', startDate: new Date('2021-05-13T17:15:00.000Z'), endDate: new Date('2021-05-13T19:00:00.000Z'), }, { text: 'Select Preferred Shipper', startDate: new Date('2021-05-13T19:30:00.000Z'), endDate: new Date('2021-05-13T21:00:00.000Z'), }, { text: 'Complete Shipper Selection Form', startDate: new Date('2021-05-16T15:30:00.000Z'), endDate: new Date('2021-05-16T17:00:00.000Z'), }, { text: 'Upgrade Server Hardware', startDate: new Date('2021-04-15T19:00:00.000Z'), endDate: new Date('2021-04-15T21:15:00.000Z'), }, { text: 'Upgrade Personal Computers', startDate: new Date('2021-04-15T21:45:00.000Z'), endDate: new Date('2021-04-15T23:30:00.000Z'), }, { text: 'Upgrade Apps to Windows RT or stay with WinForms', startDate: new Date('2021-04-16T17:30:00.000Z'), endDate: new Date('2021-04-16T20:00:00.000Z'), }, { text: 'Estimate Time Required to Touch-Enable Apps', startDate: new Date('2021-05-17T16:45:00.000Z'), endDate: new Date('2021-05-17T18:00:00.000Z'), }, { text: 'Report on Tranistion to Touch-Based Apps', startDate: new Date('2021-05-18T18:30:00.000Z'), endDate: new Date('2021-05-18T19:30:00.000Z'), }, { text: 'Submit New Website Design', startDate: new Date('2021-04-19T15:00:00.000Z'), endDate: new Date('2021-04-19T17:00:00.000Z'), }, { text: 'Create Icons for Website', startDate: new Date('2021-05-19T18:30:00.000Z'), endDate: new Date('2021-05-19T20:15:00.000Z'), }, { text: 'Create New Product Pages', startDate: new Date('2021-04-20T16:45:00.000Z'), endDate: new Date('2021-04-20T18:45:00.000Z'), }, { text: 'Approve Website Launch', startDate: new Date('2021-05-20T19:00:00.000Z'), endDate: new Date('2021-05-20T22:15:00.000Z'), }, { text: 'Update Customer Shipping Profiles', startDate: new Date('2021-04-21T16:30:00.000Z'), endDate: new Date('2021-04-21T18:00:00.000Z'), }, { text: 'Create New Shipping Return Labels', startDate: new Date('2021-04-21T19:45:00.000Z'), endDate: new Date('2021-04-21T21:00:00.000Z'), }, { text: 'Get Design for Shipping Return Labels', startDate: new Date('2021-04-21T22:00:00.000Z'), endDate: new Date('2021-04-21T23:30:00.000Z'), }, { text: 'PSD needed for Shipping Return Labels', startDate: new Date('2021-04-22T15:30:00.000Z'), endDate: new Date('2021-04-22T16:15:00.000Z'), }, { text: 'Contact ISP and Discuss Payment Options', startDate: new Date('2021-05-23T18:30:00.000Z'), endDate: new Date('2021-05-23T23:00:00.000Z'), }, { text: 'Prepare Year-End Support Summary Report', startDate: new Date('2021-05-23T17:00:00.000Z'), endDate: new Date('2021-05-23T19:00:00.000Z'), }, { text: 'Review New Training Material', startDate: new Date('2021-04-26T15:00:00.000Z'), endDate: new Date('2021-04-26T16:15:00.000Z'), }, { text: 'Distribute Training Material to Support Staff', startDate: new Date('2021-04-23T19:45:00.000Z'), endDate: new Date('2021-04-23T21:00:00.000Z'), }, { text: 'Training Material Distribution Schedule', startDate: new Date('2021-05-24T21:15:00.000Z'), endDate: new Date('2021-05-24T23:15:00.000Z'), }, { text: 'Approval on Converting to New HDMI Specification', startDate: new Date('2021-05-03T16:30:00.000Z'), endDate: new Date('2021-05-03T17:15:00.000Z'), }, { text: 'Create New Spike for Automation Server', startDate: new Date('2021-05-25T17:00:00.000Z'), endDate: new Date('2021-05-25T19:30:00.000Z'), }, { text: 'Code Review - New Automation Server', startDate: new Date('2021-05-25T20:00:00.000Z'), endDate: new Date('2021-05-25T22:00:00.000Z'), }, { text: 'Confirm Availability for Sales Meeting', startDate: new Date('2021-04-27T17:15:00.000Z'), endDate: new Date('2021-04-27T22:15:00.000Z'), }, { text: 'Reschedule Sales Team Meeting', startDate: new Date('2021-04-28T23:15:00.000Z'), endDate: new Date('2021-04-29T01:00:00.000Z'), }, { text: 'Send 2 Remotes for Giveaways', startDate: new Date('2021-05-26T16:30:00.000Z'), endDate: new Date('2021-05-26T18:45:00.000Z'), }, { text: 'Discuss Product Giveaways with Management', startDate: new Date('2021-05-27T19:15:00.000Z'), endDate: new Date('2021-05-27T23:45:00.000Z'), }, { text: 'Replace Desktops on the 3rd Floor', startDate: new Date('2021-04-29T16:30:00.000Z'), endDate: new Date('2021-04-29T17:45:00.000Z'), }, { text: 'Update Database with New Leads', startDate: new Date('2021-05-30T19:00:00.000Z'), endDate: new Date('2021-05-30T21:15:00.000Z'), }, { text: 'Mail New Leads for Follow Up', startDate: new Date('2021-05-31T21:45:00.000Z'), endDate: new Date('2021-05-31T22:30:00.000Z'), }, { text: 'Send Territory Sales Breakdown', startDate: new Date('2021-04-30T01:00:00.000Z'), endDate: new Date('2021-04-30T03:00:00.000Z'), }, { text: 'Territory Sales Breakdown Report', startDate: new Date('2021-04-30T15:45:00.000Z'), endDate: new Date('2021-04-30T16:45:00.000Z'), }, { text: 'Report on the State of Engineering Dept', startDate: new Date('2021-04-30T21:45:00.000Z'), endDate: new Date('2021-04-30T22:30:00.000Z'), }, { text: 'Staff Productivity Report', startDate: new Date('2021-05-31T23:15:00.000Z'), endDate: new Date('2021-06-01T02:30:00.000Z'), }];
window.config = { transpiler: 'plugin-babel', meta: { '*.vue': { loader: 'vue-loader', }, '*.ts': { loader: 'demo-ts-loader', }, '*.svg': { loader: 'svg-loader', }, 'devextreme/localization.js': { 'esModule': true, }, }, paths: { 'root:': '../../../../../', 'npm:': 'https://unpkg.com/', }, map: { 'vue': 'npm:vue@3.3.4/dist/vue.esm-browser.js', 'vue-loader': 'npm:dx-systemjs-vue-browser@1.1.1/index.js', 'demo-ts-loader': 'root:utils/demo-ts-loader.js', 'svg-loader': 'root:utils/svg-loader.js', 'mitt': 'npm:mitt/dist/mitt.umd.js', 'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js', 'luxon': 'npm:luxon@1.28.1/build/global/luxon.min.js', 'es6-object-assign': 'npm:es6-object-assign@1.1.0', 'devextreme': 'npm:devextreme@23.1.5/cjs', 'devextreme-vue': 'npm:devextreme-vue@23.1.5', 'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js', 'devextreme-quill': 'npm:devextreme-quill@1.6.2/dist/dx-quill.min.js', 'devexpress-diagram': 'npm:devexpress-diagram@2.2.1/dist/dx-diagram.js', 'devexpress-gantt': 'npm:devexpress-gantt@4.1.48/dist/dx-gantt.js', '@devextreme/runtime': 'npm:@devextreme/runtime@3.0.11', 'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js', 'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js', 'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js', 'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js', 'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js', 'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js', 'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js', 'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js', 'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js', 'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js', // Prettier 'prettier/standalone': 'npm:prettier@2.8.4/standalone.js', 'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js', }, packages: { 'devextreme-vue': { main: 'index.js', }, 'devextreme': { defaultExtension: 'js', }, 'devextreme/events/utils': { main: 'index', }, 'devextreme/events': { main: 'index', }, 'es6-object-assign': { main: './index.js', defaultExtension: 'js', }, }, packageConfigPaths: [ 'npm:@devextreme/*/package.json', 'npm:@devextreme/runtime@3.0.11/inferno/package.json', ], babelOptions: { sourceMaps: false, stage0: true, }, }; System.config(window.config);

import React from 'react';
import Scheduler from 'devextreme-react/scheduler';
import { data } from './data.js';
const currentDate = new Date(2021, 3, 5);
const views = [
{
name: '3 Days', type: 'day', intervalCount: 3, startDate: new Date(2021, 3, 4),
},
{
name: '2 Work Weeks', type: 'workWeek', intervalCount: 2, startDate: new Date(2021, 2, 4),
},
{ name: '2 Months', type: 'month', intervalCount: 2 },
];
class App extends React.Component {
render() {
return (
<Scheduler
timeZone="America/Los_Angeles"
dataSource={data}
views={views}
defaultCurrentView="day"
defaultCurrentDate={currentDate}
startDayHour={8}
height={580}
/>
);
}
}
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.2.3/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
<link rel="stylesheet" type="text/css" href="styles.css" />
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
export const data = [{
text: 'Google AdWords Strategy',
startDate: new Date('2021-04-05T16:00:00.000Z'),
endDate: new Date('2021-04-05T17:30:00.000Z'),
}, {
text: 'New Brochures',
startDate: new Date('2021-04-05T18:30:00.000Z'),
endDate: new Date('2021-04-05T21:15:00.000Z'),
}, {
text: 'Brochure Design Review',
startDate: new Date('2021-05-04T17:15:00.000Z'),
endDate: new Date('2021-05-04T19:15:00.000Z'),
}, {
text: 'Website Re-Design Plan',
startDate: new Date('2021-04-05T23:45:00.000Z'),
endDate: new Date('2021-04-07T00:15:00.000Z'),
}, {
text: 'Rollout of New Website and Marketing Brochures',
startDate: new Date('2021-04-06T15:15:00.000Z'),
endDate: new Date('2021-04-06T17:45:00.000Z'),
}, {
text: 'Update Sales Strategy Documents',
startDate: new Date('2021-05-05T16:00:00.000Z'),
endDate: new Date('2021-05-05T17:45:00.000Z'),
}, {
text: 'Non-Compete Agreements',
startDate: new Date('2021-04-07T15:15:00.000Z'),
endDate: new Date('2021-04-07T16:00:00.000Z'),
}, {
text: 'Approve Hiring of John Jeffers',
startDate: new Date('2021-04-07T17:00:00.000Z'),
endDate: new Date('2021-04-07T18:15:00.000Z'),
}, {
text: 'Update NDA Agreement',
startDate: new Date('2021-05-05T16:45:00.000Z'),
endDate: new Date('2021-05-05T18:45:00.000Z'),
}, {
text: 'Update Employee Files with New NDA',
startDate: new Date('2021-05-05T19:00:00.000Z'),
endDate: new Date('2021-05-05T21:45:00.000Z'),
}, {
text: 'Submit Questions Regarding New NDA',
startDate: new Date('2021-04-09T01:00:00.000Z'),
endDate: new Date('2021-04-08T16:30:00.000Z'),
}, {
text: 'Submit Signed NDA',
startDate: new Date('2021-05-09T16:45:00.000Z'),
endDate: new Date('2021-05-09T18:00:00.000Z'),
}, {
text: 'Review Revenue Projections',
startDate: new Date('2021-04-09T00:15:00.000Z'),
endDate: new Date('2021-04-08T15:00:00.000Z'),
}, {
text: 'Comment on Revenue Projections',
startDate: new Date('2021-04-09T16:15:00.000Z'),
endDate: new Date('2021-04-09T18:15:00.000Z'),
}, {
text: 'Provide New Health Insurance Docs',
startDate: new Date('2021-05-10T16:15:00.000Z'),
endDate: new Date('2021-05-10T17:45:00.000Z'),
}, {
text: 'Review Changes to Health Insurance Coverage',
startDate: new Date('2021-05-10T17:50:00.000Z'),
endDate: new Date('2021-05-10T19:30:00.000Z'),
}, {
text: 'Review Training Course for any Omissions',
startDate: new Date('2021-04-12T21:00:00.000Z'),
endDate: new Date('2021-04-13T21:00:00.000Z'),
}, {
text: 'Recall Rebate Form',
startDate: new Date('2021-05-11T17:00:00.000Z'),
endDate: new Date('2021-05-11T18:15:00.000Z'),
}, {
text: 'Create Report on Customer Feedback',
startDate: new Date('2021-04-13T22:15:00.000Z'),
endDate: new Date('2021-04-14T00:30:00.000Z'),
}, {
text: 'Review Customer Feedback Report',
startDate: new Date('2021-04-13T23:15:00.000Z'),
endDate: new Date('2021-04-14T01:30:00.000Z'),
}, {
text: 'Customer Feedback Report Analysis',
startDate: new Date('2021-04-14T16:30:00.000Z'),
endDate: new Date('2021-04-14T17:30:00.000Z'),
}, {
text: 'Prepare Shipping Cost Analysis Report',
startDate: new Date('2021-05-12T18:30:00.000Z'),
endDate: new Date('2021-05-12T19:30:00.000Z'),
}, {
text: 'Provide Feedback on Shippers',
startDate: new Date('2021-05-13T17:15:00.000Z'),
endDate: new Date('2021-05-13T19:00:00.000Z'),
}, {
text: 'Select Preferred Shipper',
startDate: new Date('2021-05-13T19:30:00.000Z'),
endDate: new Date('2021-05-13T21:00:00.000Z'),
}, {
text: 'Complete Shipper Selection Form',
startDate: new Date('2021-05-16T15:30:00.000Z'),
endDate: new Date('2021-05-16T17:00:00.000Z'),
}, {
text: 'Upgrade Server Hardware',
startDate: new Date('2021-04-15T19:00:00.000Z'),
endDate: new Date('2021-04-15T21:15:00.000Z'),
}, {
text: 'Upgrade Personal Computers',
startDate: new Date('2021-04-15T21:45:00.000Z'),
endDate: new Date('2021-04-15T23:30:00.000Z'),
}, {
text: 'Upgrade Apps to Windows RT or stay with WinForms',
startDate: new Date('2021-04-16T17:30:00.000Z'),
endDate: new Date('2021-04-16T20:00:00.000Z'),
}, {
text: 'Estimate Time Required to Touch-Enable Apps',
startDate: new Date('2021-05-17T16:45:00.000Z'),
endDate: new Date('2021-05-17T18:00:00.000Z'),
}, {
text: 'Report on Tranistion to Touch-Based Apps',
startDate: new Date('2021-05-18T18:30:00.000Z'),
endDate: new Date('2021-05-18T19:30:00.000Z'),
}, {
text: 'Submit New Website Design',
startDate: new Date('2021-04-19T15:00:00.000Z'),
endDate: new Date('2021-04-19T17:00:00.000Z'),
}, {
text: 'Create Icons for Website',
startDate: new Date('2021-05-19T18:30:00.000Z'),
endDate: new Date('2021-05-19T20:15:00.000Z'),
}, {
text: 'Create New Product Pages',
startDate: new Date('2021-04-20T16:45:00.000Z'),
endDate: new Date('2021-04-20T18:45:00.000Z'),
}, {
text: 'Approve Website Launch',
startDate: new Date('2021-05-20T19:00:00.000Z'),
endDate: new Date('2021-05-20T22:15:00.000Z'),
}, {
text: 'Update Customer Shipping Profiles',
startDate: new Date('2021-04-21T16:30:00.000Z'),
endDate: new Date('2021-04-21T18:00:00.000Z'),
}, {
text: 'Create New Shipping Return Labels',
startDate: new Date('2021-04-21T19:45:00.000Z'),
endDate: new Date('2021-04-21T21:00:00.000Z'),
}, {
text: 'Get Design for Shipping Return Labels',
startDate: new Date('2021-04-21T22:00:00.000Z'),
endDate: new Date('2021-04-21T23:30:00.000Z'),
}, {
text: 'PSD needed for Shipping Return Labels',
startDate: new Date('2021-04-22T15:30:00.000Z'),
endDate: new Date('2021-04-22T16:15:00.000Z'),
}, {
text: 'Contact ISP and Discuss Payment Options',
startDate: new Date('2021-05-23T18:30:00.000Z'),
endDate: new Date('2021-05-23T23:00:00.000Z'),
}, {
text: 'Prepare Year-End Support Summary Report',
startDate: new Date('2021-05-23T17:00:00.000Z'),
endDate: new Date('2021-05-23T19:00:00.000Z'),
}, {
text: 'Review New Training Material',
startDate: new Date('2021-04-26T15:00:00.000Z'),
endDate: new Date('2021-04-26T16:15:00.000Z'),
}, {
text: 'Distribute Training Material to Support Staff',
startDate: new Date('2021-04-23T19:45:00.000Z'),
endDate: new Date('2021-04-23T21:00:00.000Z'),
}, {
text: 'Training Material Distribution Schedule',
startDate: new Date('2021-05-24T21:15:00.000Z'),
endDate: new Date('2021-05-24T23:15:00.000Z'),
}, {
text: 'Approval on Converting to New HDMI Specification',
startDate: new Date('2021-05-03T16:30:00.000Z'),
endDate: new Date('2021-05-03T17:15:00.000Z'),
}, {
text: 'Create New Spike for Automation Server',
startDate: new Date('2021-05-25T17:00:00.000Z'),
endDate: new Date('2021-05-25T19:30:00.000Z'),
}, {
text: 'Code Review - New Automation Server',
startDate: new Date('2021-05-25T20:00:00.000Z'),
endDate: new Date('2021-05-25T22:00:00.000Z'),
}, {
text: 'Confirm Availability for Sales Meeting',
startDate: new Date('2021-04-27T17:15:00.000Z'),
endDate: new Date('2021-04-27T22:15:00.000Z'),
}, {
text: 'Reschedule Sales Team Meeting',
startDate: new Date('2021-04-28T23:15:00.000Z'),
endDate: new Date('2021-04-29T01:00:00.000Z'),
}, {
text: 'Send 2 Remotes for Giveaways',
startDate: new Date('2021-05-26T16:30:00.000Z'),
endDate: new Date('2021-05-26T18:45:00.000Z'),
}, {
text: 'Discuss Product Giveaways with Management',
startDate: new Date('2021-05-27T19:15:00.000Z'),
endDate: new Date('2021-05-27T23:45:00.000Z'),
}, {
text: 'Replace Desktops on the 3rd Floor',
startDate: new Date('2021-04-29T16:30:00.000Z'),
endDate: new Date('2021-04-29T17:45:00.000Z'),
}, {
text: 'Update Database with New Leads',
startDate: new Date('2021-05-30T19:00:00.000Z'),
endDate: new Date('2021-05-30T21:15:00.000Z'),
}, {
text: 'Mail New Leads for Follow Up',
startDate: new Date('2021-05-31T21:45:00.000Z'),
endDate: new Date('2021-05-31T22:30:00.000Z'),
}, {
text: 'Send Territory Sales Breakdown',
startDate: new Date('2021-04-30T01:00:00.000Z'),
endDate: new Date('2021-04-30T03:00:00.000Z'),
}, {
text: 'Territory Sales Breakdown Report',
startDate: new Date('2021-04-30T15:45:00.000Z'),
endDate: new Date('2021-04-30T16:45:00.000Z'),
}, {
text: 'Report on the State of Engineering Dept',
startDate: new Date('2021-04-30T21:45:00.000Z'),
endDate: new Date('2021-04-30T22:30:00.000Z'),
}, {
text: 'Staff Productivity Report',
startDate: new Date('2021-05-31T23:15:00.000Z'),
endDate: new Date('2021-06-01T02:30:00.000Z'),
}];
window.config = {
transpiler: 'plugin-babel',
meta: {
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
defaultExtension: 'js',
map: {
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types@15.8.1/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.2.3/cjs',
'devextreme-react': 'npm:devextreme-react@22.2.3',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.18/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.65/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.37/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.11',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.7.1/standalone.js',
'prettier/parser-html': 'npm:prettier@2.7.1/parser-html.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.11/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
react: true,
},
};
System.config(window.config);

DevExtreme v23.1 is now available.

Explore our newest features/capabilities and share your thoughts with us.

Your search did not match any results.
Scheduler

Increased View Duration

Documentation

This demo illustrates displaying several days, weeks, months instead of only one on a view. The view’s intervalCount specifies how many times the default view interval (a day, a week, a month) is repeated on the timetable, and the startDate defines the date from which to start counting this interval.

Backend API
Copy to CodeSandBox
Apply
Reset
<dx-scheduler timeZone="America/Los_Angeles" [dataSource]="appointmentsData" [views]="views" currentView="day" [startDayHour]="8" [endDayHour]="20" [currentDate]="currentDate" [height]="580" > <dxi-view name="3 Days" type="day" [intervalCount]="3" [startDate]="daysViewStartDate" > </dxi-view> <dxi-view name="2 Work Weeks" type="workWeek" [intervalCount]="2" [startDate]="weeksViewStartDate" > </dxi-view> <dxi-view name="2 Months" type="month" [intervalCount]="2"> </dxi-view> </dx-scheduler>
import { NgModule, Component, enableProdMode } from '@angular/core'; import { BrowserModule, BrowserTransferStateModule } from '@angular/platform-browser'; import { platformBrowserDynamic } from '@angular/platform-browser-dynamic'; import { DxSchedulerModule } from 'devextreme-angular'; import { Appointment, Service } from './app.service'; if (!/localhost/.test(document.location.host)) { enableProdMode(); } @Component({ styleUrls: ['app/app.component.css'], selector: 'demo-app', templateUrl: 'app/app.component.html', providers: [Service], }) export class AppComponent { appointmentsData: Appointment[]; currentDate: Date = new Date(2021, 3, 5); daysViewStartDate: Date = new Date(2021, 3, 4); weeksViewStartDate: Date = new Date(2021, 2, 4); constructor(service: Service) { this.appointmentsData = service.getAppointments(); } } @NgModule({ imports: [ BrowserModule, BrowserTransferStateModule, DxSchedulerModule, ], declarations: [AppComponent], bootstrap: [AppComponent], }) export class AppModule {} platformBrowserDynamic().bootstrapModule(AppModule);
import { Injectable } from '@angular/core'; export class Appointment { text: string; startDate: Date; endDate: Date; } const appointments: Appointment[] = [{ text: 'Google AdWords Strategy', startDate: new Date('2021-04-05T16:00:00.000Z'), endDate: new Date('2021-04-05T17:30:00.000Z'), }, { text: 'New Brochures', startDate: new Date('2021-04-05T18:30:00.000Z'), endDate: new Date('2021-04-05T21:15:00.000Z'), }, { text: 'Brochure Design Review', startDate: new Date('2021-05-04T17:15:00.000Z'), endDate: new Date('2021-05-04T19:15:00.000Z'), }, { text: 'Website Re-Design Plan', startDate: new Date('2021-04-05T23:45:00.000Z'), endDate: new Date('2021-04-07T00:15:00.000Z'), }, { text: 'Rollout of New Website and Marketing Brochures', startDate: new Date('2021-04-06T15:15:00.000Z'), endDate: new Date('2021-04-06T17:45:00.000Z'), }, { text: 'Update Sales Strategy Documents', startDate: new Date('2021-05-05T16:00:00.000Z'), endDate: new Date('2021-05-05T17:45:00.000Z'), }, { text: 'Non-Compete Agreements', startDate: new Date('2021-04-07T15:15:00.000Z'), endDate: new Date('2021-04-07T16:00:00.000Z'), }, { text: 'Approve Hiring of John Jeffers', startDate: new Date('2021-04-07T17:00:00.000Z'), endDate: new Date('2021-04-07T18:15:00.000Z'), }, { text: 'Update NDA Agreement', startDate: new Date('2021-05-05T16:45:00.000Z'), endDate: new Date('2021-05-05T18:45:00.000Z'), }, { text: 'Update Employee Files with New NDA', startDate: new Date('2021-05-05T19:00:00.000Z'), endDate: new Date('2021-05-05T21:45:00.000Z'), }, { text: 'Submit Questions Regarding New NDA', startDate: new Date('2021-04-09T01:00:00.000Z'), endDate: new Date('2021-04-08T16:30:00.000Z'), }, { text: 'Submit Signed NDA', startDate: new Date('2021-05-09T16:45:00.000Z'), endDate: new Date('2021-05-09T18:00:00.000Z'), }, { text: 'Review Revenue Projections', startDate: new Date('2021-04-09T00:15:00.000Z'), endDate: new Date('2021-04-08T15:00:00.000Z'), }, { text: 'Comment on Revenue Projections', startDate: new Date('2021-04-09T16:15:00.000Z'), endDate: new Date('2021-04-09T18:15:00.000Z'), }, { text: 'Provide New Health Insurance Docs', startDate: new Date('2021-05-10T16:15:00.000Z'), endDate: new Date('2021-05-10T17:45:00.000Z'), }, { text: 'Review Changes to Health Insurance Coverage', startDate: new Date('2021-05-10T17:50:00.000Z'), endDate: new Date('2021-05-10T19:30:00.000Z'), }, { text: 'Review Training Course for any Omissions', startDate: new Date('2021-04-12T21:00:00.000Z'), endDate: new Date('2021-04-13T21:00:00.000Z'), }, { text: 'Recall Rebate Form', startDate: new Date('2021-05-11T17:00:00.000Z'), endDate: new Date('2021-05-11T18:15:00.000Z'), }, { text: 'Create Report on Customer Feedback', startDate: new Date('2021-04-13T22:15:00.000Z'), endDate: new Date('2021-04-14T00:30:00.000Z'), }, { text: 'Review Customer Feedback Report', startDate: new Date('2021-04-13T23:15:00.000Z'), endDate: new Date('2021-04-14T01:30:00.000Z'), }, { text: 'Customer Feedback Report Analysis', startDate: new Date('2021-04-14T16:30:00.000Z'), endDate: new Date('2021-04-14T17:30:00.000Z'), }, { text: 'Prepare Shipping Cost Analysis Report', startDate: new Date('2021-05-12T18:30:00.000Z'), endDate: new Date('2021-05-12T19:30:00.000Z'), }, { text: 'Provide Feedback on Shippers', startDate: new Date('2021-05-13T17:15:00.000Z'), endDate: new Date('2021-05-13T19:00:00.000Z'), }, { text: 'Select Preferred Shipper', startDate: new Date('2021-05-13T19:30:00.000Z'), endDate: new Date('2021-05-13T21:00:00.000Z'), }, { text: 'Complete Shipper Selection Form', startDate: new Date('2021-05-16T15:30:00.000Z'), endDate: new Date('2021-05-16T17:00:00.000Z'), }, { text: 'Upgrade Server Hardware', startDate: new Date('2021-04-15T19:00:00.000Z'), endDate: new Date('2021-04-15T21:15:00.000Z'), }, { text: 'Upgrade Personal Computers', startDate: new Date('2021-04-15T21:45:00.000Z'), endDate: new Date('2021-04-15T23:30:00.000Z'), }, { text: 'Upgrade Apps to Windows RT or stay with WinForms', startDate: new Date('2021-04-16T17:30:00.000Z'), endDate: new Date('2021-04-16T20:00:00.000Z'), }, { text: 'Estimate Time Required to Touch-Enable Apps', startDate: new Date('2021-05-17T16:45:00.000Z'), endDate: new Date('2021-05-17T18:00:00.000Z'), }, { text: 'Report on Tranistion to Touch-Based Apps', startDate: new Date('2021-05-18T18:30:00.000Z'), endDate: new Date('2021-05-18T19:30:00.000Z'), }, { text: 'Submit New Website Design', startDate: new Date('2021-04-19T15:00:00.000Z'), endDate: new Date('2021-04-19T17:00:00.000Z'), }, { text: 'Create Icons for Website', startDate: new Date('2021-05-19T18:30:00.000Z'), endDate: new Date('2021-05-19T20:15:00.000Z'), }, { text: 'Create New Product Pages', startDate: new Date('2021-04-20T16:45:00.000Z'), endDate: new Date('2021-04-20T18:45:00.000Z'), }, { text: 'Approve Website Launch', startDate: new Date('2021-05-20T19:00:00.000Z'), endDate: new Date('2021-05-20T22:15:00.000Z'), }, { text: 'Update Customer Shipping Profiles', startDate: new Date('2021-04-21T16:30:00.000Z'), endDate: new Date('2021-04-21T18:00:00.000Z'), }, { text: 'Create New Shipping Return Labels', startDate: new Date('2021-04-21T19:45:00.000Z'), endDate: new Date('2021-04-21T21:00:00.000Z'), }, { text: 'Get Design for Shipping Return Labels', startDate: new Date('2021-04-21T22:00:00.000Z'), endDate: new Date('2021-04-21T23:30:00.000Z'), }, { text: 'PSD needed for Shipping Return Labels', startDate: new Date('2021-04-22T15:30:00.000Z'), endDate: new Date('2021-04-22T16:15:00.000Z'), }, { text: 'Contact ISP and Discuss Payment Options', startDate: new Date('2021-05-23T18:30:00.000Z'), endDate: new Date('2021-05-23T23:00:00.000Z'), }, { text: 'Prepare Year-End Support Summary Report', startDate: new Date('2021-05-23T17:00:00.000Z'), endDate: new Date('2021-05-23T19:00:00.000Z'), }, { text: 'Review New Training Material', startDate: new Date('2021-04-26T15:00:00.000Z'), endDate: new Date('2021-04-26T16:15:00.000Z'), }, { text: 'Distribute Training Material to Support Staff', startDate: new Date('2021-04-23T19:45:00.000Z'), endDate: new Date('2021-04-23T21:00:00.000Z'), }, { text: 'Training Material Distribution Schedule', startDate: new Date('2021-05-24T21:15:00.000Z'), endDate: new Date('2021-05-24T23:15:00.000Z'), }, { text: 'Approval on Converting to New HDMI Specification', startDate: new Date('2021-05-03T16:30:00.000Z'), endDate: new Date('2021-05-03T17:15:00.000Z'), }, { text: 'Create New Spike for Automation Server', startDate: new Date('2021-05-25T17:00:00.000Z'), endDate: new Date('2021-05-25T19:30:00.000Z'), }, { text: 'Code Review - New Automation Server', startDate: new Date('2021-05-25T20:00:00.000Z'), endDate: new Date('2021-05-25T22:00:00.000Z'), }, { text: 'Confirm Availability for Sales Meeting', startDate: new Date('2021-04-27T17:15:00.000Z'), endDate: new Date('2021-04-27T22:15:00.000Z'), }, { text: 'Reschedule Sales Team Meeting', startDate: new Date('2021-04-28T23:15:00.000Z'), endDate: new Date('2021-04-29T01:00:00.000Z'), }, { text: 'Send 2 Remotes for Giveaways', startDate: new Date('2021-05-26T16:30:00.000Z'), endDate: new Date('2021-05-26T18:45:00.000Z'), }, { text: 'Discuss Product Giveaways with Management', startDate: new Date('2021-05-27T19:15:00.000Z'), endDate: new Date('2021-05-27T23:45:00.000Z'), }, { text: 'Replace Desktops on the 3rd Floor', startDate: new Date('2021-04-29T16:30:00.000Z'), endDate: new Date('2021-04-29T17:45:00.000Z'), }, { text: 'Update Database with New Leads', startDate: new Date('2021-05-30T19:00:00.000Z'), endDate: new Date('2021-05-30T21:15:00.000Z'), }, { text: 'Mail New Leads for Follow Up', startDate: new Date('2021-05-31T21:45:00.000Z'), endDate: new Date('2021-05-31T22:30:00.000Z'), }, { text: 'Send Territory Sales Breakdown', startDate: new Date('2021-04-30T01:00:00.000Z'), endDate: new Date('2021-04-30T03:00:00.000Z'), }, { text: 'Territory Sales Breakdown Report', startDate: new Date('2021-04-30T15:45:00.000Z'), endDate: new Date('2021-04-30T16:45:00.000Z'), }, { text: 'Report on the State of Engineering Dept', startDate: new Date('2021-04-30T21:45:00.000Z'), endDate: new Date('2021-04-30T22:30:00.000Z'), }, { text: 'Staff Productivity Report', startDate: new Date('2021-05-31T23:15:00.000Z'), endDate: new Date('2021-06-01T02:30:00.000Z'), }]; @Injectable() export class Service { getAppointments() { return appointments; } }
// In real applications, you should not transpile code in the browser. // You can see how to create your own application with Angular and DevExtreme here: // https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/ window.config = { transpiler: 'ts', typescriptOptions: { module: 'system', emitDecoratorMetadata: true, experimentalDecorators: true, }, meta: { 'typescript': { 'exports': 'ts', }, 'devextreme/localization.js': { 'esModule': true, }, }, paths: { 'npm:': 'https://unpkg.com/', }, map: { 'ts': 'npm:plugin-typescript@4.2.4/lib/plugin.js', 'typescript': 'npm:typescript@4.2.4/lib/typescript.js', '@angular/core': 'npm:@angular/core@12.2.17', '@angular/platform-browser': 'npm:@angular/platform-browser@12.2.17', '@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic@12.2.17', '@angular/forms': 'npm:@angular/forms@12.2.17', '@angular/common': 'npm:@angular/common@12.2.17', '@angular/compiler': 'npm:@angular/compiler@12.2.17', 'tslib': 'npm:tslib@2.3.1/tslib.js', 'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js', 'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js', 'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js', 'luxon': 'npm:luxon@1.28.1/build/global/luxon.min.js', 'es6-object-assign': 'npm:es6-object-assign@1.1.0', 'devextreme': 'npm:devextreme@23.1.5/cjs', 'devextreme/bundles/dx.all': 'npm:devextreme@23.1.5/bundles/dx.all.js', 'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js', 'devextreme-quill': 'npm:devextreme-quill@1.6.2/dist/dx-quill.min.js', 'devexpress-diagram': 'npm:devexpress-diagram@2.2.1', 'devexpress-gantt': 'npm:devexpress-gantt@4.1.48', 'devextreme-angular': 'npm:devextreme-angular@23.1.5', '@devextreme/runtime': 'npm:@devextreme/runtime@3.0.11', 'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js', 'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js', 'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js', 'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js', 'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js', 'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js', 'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js', 'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js', // Prettier 'prettier/standalone': 'npm:prettier@2.8.4/standalone.js', 'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js', }, packages: { 'app': { main: './app.component.ts', defaultExtension: 'ts', }, 'devextreme': { defaultExtension: 'js', }, 'devextreme/events/utils': { main: 'index', }, 'devextreme/events': { main: 'index', }, 'es6-object-assign': { main: './index.js', defaultExtension: 'js', }, 'rxjs': { defaultExtension: 'js', }, 'rxjs/operators': { defaultExtension: 'js', }, }, packageConfigPaths: [ 'npm:@devextreme/*/package.json', 'npm:@devextreme/runtime@3.0.11/inferno/package.json', 'npm:@angular/*/package.json', 'npm:@angular/common@12.2.17/*/package.json', 'npm:rxjs@7.5.3/package.json', 'npm:rxjs@7.5.3/operators/package.json', 'npm:devextreme-angular@23.1.5/*/package.json', 'npm:devextreme-angular@23.1.5/ui/*/package.json', 'npm:devextreme-angular@23.1.5/package.json', 'npm:devexpress-diagram@2.2.1/package.json', 'npm:devexpress-gantt@4.1.48/package.json', ], }; System.config(window.config);
<!DOCTYPE html> <html xmlns="http://www.w3.org/1999/xhtml"> <head> <title>DevExtreme Demo</title> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" /> <link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/23.1.5/css/dx.light.css" /> <script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script> <script src="https://unpkg.com/zone.js@0.12.0/dist/zone.js"></script> <script src="https://unpkg.com/reflect-metadata@0.1.13/Reflect.js"></script> <script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script> <script src="config.js"></script> <script> System.import("app").catch(console.error.bind(console)); </script> </head> <body class="dx-viewport"> <div class="demo-container"> <demo-app>Loading...</demo-app> </div> </body> </html>